net.sf.jasperreports.charts

## Interface JRPiePlot

- All Superinterfaces:
    java.lang.Cloneable, JRChartPlot, JRCloneable
  All Known Implementing Classes:
    JRBasePiePlot, JRDesignPiePlot, JRFillPiePlot

      public interface JRPiePlot
      extends JRChartPlot

  Type of plot used for rendering Pie charts.
  Special settings that the Pie plot exposes are:
  - the `circular` flag
  - the label format
  - the legend label format
  - the item label
  - the `showLabels` flag
  Version:
    $Id: JRPiePlot.java 6995 2014-04-01 11:26:53Z shertage $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `JRChartPlot.JRSeriesColor`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `getCircular()`
    `JRItemLabel` | `getItemLabel()`
    `java.lang.String` | `getLabelFormat()`
    `java.lang.String` | `getLegendLabelFormat()`
    `java.lang.Boolean` | `getShowLabels()`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `addSeriesColor, clearSeriesColors, clone, collectExpressions, getBackcolor, getBackgroundAlphaFloat, getChart, getForegroundAlphaFloat, getLabelRotationDouble, getOrientation, getOrientationValue, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setForegroundAlpha, setLabelRotation, setOrientation, setOrientation, setSeriesColors`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Method Detail

    - #### getCircular

          java.lang.Boolean getCircular()

      Returns:
        a flag that specifies a circular form for the pie

    - #### getLabelFormat

          java.lang.String getLabelFormat()

      Returns:
        the format pattern for labels

    - #### getLegendLabelFormat

          java.lang.String getLegendLabelFormat()

      Returns:
        the format pattern for legend labels

    - #### getItemLabel

          JRItemLabel getItemLabel()

      Returns:
        a `JRItemLabel` object representing the item label

    - #### getShowLabels

          java.lang.Boolean getShowLabels()

      Returns:
        a flag that specifies whether labels are to be shown or not

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com